% Plot basis expansion for Legendre polynomials

legInit;

% random signals (coefficients for n_leg = 4)
% coeffs = 0.5 * randn( 1, n_leg+1);
% fix coefficients for reproducibility
coeffs = [0.7097    0.1458    0.0989    0.7938   -0.4022];
sig_vals = legEvalSignal( n_leg, coeffs, xvals);

% generate values
vals_leg_polys = zeros( n_leg + 1, numel(xvals));

for( n = 0 : n_leg)
  cdat = legendre( n, xvals, 'norm');
  vals_leg_polys(n+1,:) = cdat(1,:);
end

%% Visualization

legPreVisualization;

% plot Legendre basis functions
for( n = 0 : n_leg)
  col = cols(n+1  ,:);
  col( find( col == 0.0)) = 0.95;
  plot( xvals, vals_leg_polys(n+1,:), '-', 'Color', col);
end

% plot signal
plot( xvals, sig_vals, '-r');

% set parameters for saving
legPostVisualization;
% save image
savePlot( h_fig, 'legPlotBasisExpansion');

