% Plot random signals in the space

legInit;

n_rands_ip = 3;
% scaling to make L_\infty norm appropriate for plotting
coeff_scaling = 0.25;

% generate values
xvals = [-1.0 : 0.001 : 1.0];
vals_rands_ip = zeros( n_rands_ip, numel(xvals));

% coeffs_rands_ip = coeff_scaling * randn( n_rands_ip, n_leg+1); 
% 
% % make one coefficient dominant
% for( i = 1 : n_rands_ip)
%   coeffs_rands_ip( i , n_leg+1 - (i-1) ) = ...
%     coeffs_rands_ip( i , n_leg+1 - (i-1) ) * 2.5;
% end
% fix randomly generated coefficients for reproducibility
coeffs_rands_ip = [ -0.0137    0.0624   -0.1602    0.0498   -0.3708; ...
                    -0.2797   -0.2483    0.4522   -0.9506    0.1003; ...
                    -0.1566    0.2437   -0.6749   -0.1809    0.2355 ];

for( n = 0 : n_leg)
  cdat = legendre( n, xvals, 'norm');
  vals_rands_ip = vals_rands_ip + (coeffs_rands_ip(:,n+1) * cdat(1,:));
end

% generate values of basis functions
vals_leg_polys = zeros( n_leg + 1, numel(xvals));

for( n = 0 : n_leg)
  cdat = legendre( n, xvals, 'norm');
  vals_leg_polys(n+1,:) = cdat(1,:);
end

% visualize
legPreVisualization;

% plot Legendre basis functions
for( n = 0 : n_leg)
  plot( xvals, vals_leg_polys(n+1,:), ':', ...
        'Color', cols(n+1,:));
end

cols_ip = {'r', 'g', 'b'};
for( n = 1 : n_rands_ip)
  plot( xvals, vals_rands_ip(n,:), ['-', cols_ip{n}]);
end

legPostVisualization;

savePlot( h_fig, 'legPlotInnerProducts');
