% Plot Legendre polynomials.

legInit;

% generate values
xvals = [-1.0 : 0.001 : 1.0];
vals_leg_polys = zeros( n_leg + 1, numel(xvals));

for( n = 0 : n_leg)
  cdat = legendre( n, xvals, 'norm');
  vals_leg_polys(n+1,:) = cdat(1,:);
end

% visualize
legPreVisualization;

leg_str = {};
for( n = 0 : n_leg)
  plot( xvals, vals_leg_polys(n+1,:), ['-'], 'Color', cols(n+1,:));
  leg_str{end+1} = ['P' num2str(n)];
end
% legend( leg_str, 'Location', 'NorthEast');

legPostVisualization;
savePlot( h_fig, 'legPlotLegendre');

% legPostVisualizationTight;
% savePlot( h_fig, 'legPlotLegendreTight');

