% Plot random signals in the space

legInit;

n_rands = 3;
% scaling to make L_\infty norm appropriate for plotting
coeff_scaling = 0.5;

% generate values
xvals = [-1.0 : 0.001 : 1.0];
vals_rands = zeros( n_rands, numel(xvals));
% coeffs_rands = coeff_scaling * randn( n_rands, n_leg+1); 
% fix randomly generated coefficients for reproducibility
coeffs_rands = [ -0.2660   -0.2419   -0.0961   -0.1245    0.6173; ...
                  0.8411   -0.3560   -0.1370   -0.5321   -0.1148; ...
                 -0.4379   -0.5871    0.7650    0.8017   -0.7531];

for( n = 0 : n_leg)
  cdat = legendre( n, xvals, 'norm');
  vals_rands = vals_rands + (coeffs_rands(:,n+1) * cdat(1,:));
end

% visualize
legPreVisualization;

cols_rand = { 'r', 'g', 'b'};
for( n = 1 : n_rands)
  plot( xvals, vals_rands(n,:), ['-', cols_rand{n}]);
end

legPostVisualization;

savePlot( h_fig, 'legPlotRandom');


