% Plot basis expansion for Legendre polynomials

legInit;

% random signals (coefficients for n_leg = 4)
% coeffs_2 = 0.5 * randn( 1, n_leg+1);
% fix coefficients for reproducibility
coeffs_1 = [0.7097    0.1458    0.0989    0.7938   -0.4022];
coeffs_2 = [0.2600   -0.0100   -0.0174   -0.3991    0.5093];
coeffs_sum = coeffs_1 + coeffs_2;

% generate signal samples
sig_vals_1 = legEvalSignal( n_leg, coeffs_1, xvals);
sig_vals_2 = legEvalSignal( n_leg, coeffs_2, xvals);
sig_vals_sum = legEvalSignal( n_leg, coeffs_sum, xvals);

% visualize
legPreVisualization;

% plot signal
plot( xvals, sig_vals_1, '--g');
plot( xvals, sig_vals_2, '--b');

plot( xvals, sig_vals_sum, '-r');

% set parameters for saving
legPostVisualization;
% save image
savePlot( h_fig, 'legPlotSignalAddition');

