% Construct a random characteristic basis

% number of basis functions
n = 10;

% width of basis function
% dw = rand( 1, n);
% dw = (2.0 / sum(dw)) * dw;
% Fix for reproducibility
dw = [ 0.2937, 0.0914, 0.1411, 0.1025, 0.3875, 0.2006, ...
       0.3541, 0.2037, 0.1582, 0.0672];

% x coordinates for different partitions
xs = -1.0 + [0.0, cumsum(dw)];

% heights of normalized basis functions \bar{\chi}_i
heights_norm = 1.0 ./ sqrt(dw);

% construct reproducing kernel functions
heights_rk = 1.0 ./ dw;

%% Visualization

legPreVisualization;

for( i = 1 : (numel(dw)))
  plot( [ xs(i), xs(i), xs(i+1), xs(i+1)], ...
        [ 0.0, heights_norm(i), heights_norm(i), 0.0], ...
        'Color', [0.0 0.0 1.0]); 
end
  
legPostVisualization;
ylim( [0.0, max( heights_norm)]);

savePlot( h_fig, 'plotCharacteristicBasis');

%% plot reproducing kernel basis

legPreVisualization;

% plot the ortho basis functions shaded in the back
for( i = 1 : (numel(dw)))
  plot( [ xs(i), xs(i), xs(i+1), xs(i+1)], ...
        [ 0.0, heights_norm(i), heights_norm(i), 0.0], ...
          'Color', [0.8 0.8 1.0]); 
end
  
% plot reproducing kernel basis functions
for( i = 1 : (numel(dw)))
  plot( [ xs(i), xs(i), xs(i+1), xs(i+1)], ...
        [ 0.0, heights_rk(i), heights_rk(i), 0.0], ...
          'Color', [1.0 0.0 0.0]); 
end
  
legPostVisualization;
ylim( [0.0, max( heights_rk)]);

savePlot( h_fig, 'plotCharacteristicBasis_rk');
