function plotVector( vec, line_style, arrow_width, arrow_height)
%
% plotVec( vec, line_style, arrow_width, arrow_height)
%
% Plot given vector from origin with an arrow.
%
% @param vec  vector to be plotted
% @param line_style  style for vector (default value: '-r')
% @param arrow_width   width of arrow (default value: 1.0)
% @param arrow_height  height of arrow (default value: 2.0)

  defval( 'line_style', '-r');
  defval( 'arrow_width', 1.0);
  defval( 'arrow_height', 2.0);
  
  if( size(vec,1) > 1)
    vec = transpose(vec);
  end
  
  arrow3( [0,0], vec, line_style, arrow_width, arrow_height);

end